Skip to main content
PATCH
Update a catalog

Authorizations

Authorization
string
header
required

An org API key: Authorization: Bearer oak_….

Path Parameters

catalog_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 40
name_singular
string | null
Required string length: 1 - 40
icon
enum<string> | null
Available options:
folder,
briefcase,
building,
store,
box,
car,
calendar,
file-list,
database,
heart-pulse,
shopping-bag,
graduation-cap,
ticket,
home,
tools,
stack,
price-tag,
bank,
wallet,
money,
truck,
plane,
map-pin,
restaurant,
cup,
leaf,
flask,
capsule,
stethoscope,
camera,
music,
gamepad,
shirt,
scissors,
key,
trophy,
megaphone,
group,
star,
gift
description
string | null
Maximum string length: 300

Response

Successful Response

id
string
required
key
string
required
name
string
required
name_singular
string
required
icon
string
required
description
string | null
required
order_idx
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required